<div class="panel">
  <form [formGroup]="classCodeForm">
    <div class="increment-form-array__icon">
      <i class="fas fa-plus-circle" tooltip="Add Contact" (click)="addClassCodeRow()"></i>
    </div>

    <div formArrayName="classCodes" *ngFor="let classCode of classCodeForm.get('classCodes')?.controls; let i = index;">

      <div class="form-group" [formGroupName]="i">
        <div class="flex-item">
          <label>State</label>
          <input class="form-control" formControlName="state" />
        </div>

        <div class="flex-item">
          <label>Class Code</label>
          <input class="form-control" formControlName="class_code" />
        </div>

        <div class="flex-item">
          <label>Description</label>
          <input class="form-control" formControlName="description" />
        </div>

        <div class="flex-item">
          <label>No of Employees</label>
          <input class="form-control" formControlName="no_of_employees" />
        </div>

        <div class="flex-item">
          <label>Bill Rate</label>
          <input class="form-control" formControlName="bill_rate" />
        </div>

        <div class="center-action-content">
          <div class="d-inline">
            <i class="fas fa-trash-alt mr-2 cursor-pointer" tooltip="Delete" (click)="deleteClassCodeRow(i)"></i>
          </div>
        </div>
      </div>
    </div>

    <div class="pl-3">
      <button class="btn btn-primary" (click)="addClassCode()">Save</button>
    </div>
  </form>

  <div class="p-3">
    <simpliflysaas-data-table [loading]="classCodesLoading" [dataSource]='classCodesList' [itemPerPage]='dataPerPage'
      [tableColumns]="classCodesFormControls" [showActionField]="false">
    </simpliflysaas-data-table>
  </div>
</div>